<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDeviceTypeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('device_type', function (Blueprint $table) {
            $table->integer('no');
            $table->string('name',15);
            $table->string('vendor',50)->nullable();
            $table->string('vendor_contact_person',20)->nullable();
            $table->string('vendor_contact_way',50)->nullable();
            $table->string('created',13);
            $table->string('updated',13);
            $table->string('deleted',13)->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('device_type');
    }
}
